Winspool.PRINTER_INFO_2 (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Winspool, class: PRINTER_INFO_2

Package com.sun.jna.platform.win32

# Class Winspool.PRINTER_INFO_2

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.Winspool.PRINTER_INFO_2

Enclosing interface:
  Winspool

@FieldOrder({"pServerName","pPrinterName","pShareName","pPortName","pDriverName","pComment","pLocation","pDevMode","pSepFile","pPrintProcessor","pDatatype","pParameters","pSecurityDescriptor","Attributes","Priority","DefaultPriority","StartTime","UntilTime","Status","cJobs","AveragePPM"}) public static class Winspool.PRINTER_INFO_2 extends Structure
The PRINTER_INFO_2 structure specifies detailed printer information.

Author:
  Ivan Ridao Freitas, Padrus
See Also:
  - PRINTER_INFO_2 structure

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `Attributes`
  The printer attributes.
  `int`
  `AveragePPM`
  The average number of pages per minute that have been printed on the printer.
  `int`
  `cJobs`
  The number of print jobs that have been queued for the printer.
  `int`
  `DefaultPriority`
  The default priority value assigned to each print job.
  `String`
  `pComment`
  A pointer to a null-terminated string that provides a brief description of the printer.
  `String`
  `pDatatype`
  A pointer to a null-terminated string that specifies the data type used to record the print job.
  `WinDef.INT_PTR`
  `pDevMode`
  A pointer to a DEVMODE structure that defines default printer data such as the paper orientation and the resolution.
  `String`
  `pDriverName`
  A pointer to a null-terminated string that specifies the name of the printer driver.
  `String`
  `pLocation`
  A pointer to a null-terminated string that specifies the physical location of the printer (for example, "Bldg.
  `String`
  `pParameters`
  A pointer to a null-terminated string that specifies the default print-processor parameters.
  `String`
  `pPortName`
  A pointer to a null-terminated string that identifies the port(s) used to transmit data to the printer.
  `String`
  `pPrinterName`
  A pointer to a null-terminated string that specifies the name of the printer.
  `String`
  `pPrintProcessor`
  A pointer to a null-terminated string that specifies the name of the print processor used by the printer.
  `int`
  `Priority`
  A priority value that the spooler uses to route print jobs.
  `WinDef.INT_PTR`
  `pSecurityDescriptor`
  A pointer to a SECURITY_DESCRIPTOR structure for the printer.
  `String`
  `pSepFile`
  A pointer to a null-terminated string that specifies the name of the file used to create the separator page.
  `String`
  `pServerName`
  A pointer to a null-terminated string identifying the server that controls the printer.
  `String`
  `pShareName`
  A pointer to a null-terminated string that identifies the share point for the printer.
  `int`
  `StartTime`
  The earliest time at which the printer will print a job.
  `int`
  `Status`
  The printer status.
  `int`
  `UntilTime`
  The latest time at which the printer will print a job.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PRINTER_INFO_2()`
  `PRINTER_INFO_2(int size)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasAttribute(int value)`
  Checks if the printer attributes have one of the values PRINTER_ATTRIBUTE_XXX.

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### pServerName

    public String pServerName
    A pointer to a null-terminated string identifying the server that controls the printer. If this string is NULL, the printer is controlled locally.

  - ### pPrinterName

    public String pPrinterName
    A pointer to a null-terminated string that specifies the name of the printer.

  - ### pShareName

    public String pShareName
    A pointer to a null-terminated string that identifies the share point for the printer. (This string is used only if the PRINTER_ATTRIBUTE_SHARED constant was set for the Attributes member.)

  - ### pPortName

    public String pPortName
    A pointer to a null-terminated string that identifies the port(s) used to transmit data to the printer. If a printer is connected to more than one port, the names of each port must be separated by commas (for example, "LPT1:,LPT2:,LPT3:").

  - ### pDriverName

    public String pDriverName
    A pointer to a null-terminated string that specifies the name of the printer driver.

  - ### pComment

    public String pComment
    A pointer to a null-terminated string that provides a brief description of the printer.

  - ### pLocation

    public String pLocation
    A pointer to a null-terminated string that specifies the physical location of the printer (for example, "Bldg. 38, Room 1164").

  - ### pDevMode

    public WinDef.INT_PTR pDevMode
    A pointer to a DEVMODE structure that defines default printer data such as the paper orientation and the resolution.

  - ### pSepFile

    public String pSepFile
    A pointer to a null-terminated string that specifies the name of the file used to create the separator page. This page is used to separate print jobs sent to the printer.

  - ### pPrintProcessor

    public String pPrintProcessor
    A pointer to a null-terminated string that specifies the name of the print processor used by the printer. You can use the EnumPrintProcessors function to obtain a list of print processors installed on a server.

  - ### pDatatype

    public String pDatatype
    A pointer to a null-terminated string that specifies the data type used to record the print job. You can use the EnumPrintProcessorDatatypes function to obtain a list of data types supported by a specific print processor.

  - ### pParameters

    public String pParameters
    A pointer to a null-terminated string that specifies the default print-processor parameters.

  - ### pSecurityDescriptor

    public WinDef.INT_PTR pSecurityDescriptor
    A pointer to a SECURITY_DESCRIPTOR structure for the printer. This member may be NULL.

  - ### Attributes

    public int Attributes
    The printer attributes. This member can be any reasonable combination of the values PRINTER_ATTRIBUTE_XXX.

  - ### Priority

    public int Priority
    A priority value that the spooler uses to route print jobs.

  - ### DefaultPriority

    public int DefaultPriority
    The default priority value assigned to each print job.

  - ### StartTime

    public int StartTime
    The earliest time at which the printer will print a job. This value is expressed as minutes elapsed since 12:00 AM GMT (Greenwich Mean Time).

  - ### UntilTime

    public int UntilTime
    The latest time at which the printer will print a job. This value is expressed as minutes elapsed since 12:00 AM GMT (Greenwich Mean Time).

  - ### Status

    public int Status
    The printer status. This member can be any reasonable combination of the values PRINTER_STATUS_XXX.

  - ### cJobs

    public int cJobs
    The number of print jobs that have been queued for the printer.

  - ### AveragePPM

    public int AveragePPM
    The average number of pages per minute that have been printed on the printer.

- ## Constructor Details

  - ### PRINTER_INFO_2

    public PRINTER_INFO_2()

  - ### PRINTER_INFO_2

    public PRINTER_INFO_2(int size)

- ## Method Details

  - ### hasAttribute

    public boolean hasAttribute(int value)
    Checks if the printer attributes have one of the values PRINTER_ATTRIBUTE_XXX.